corda / net.corda.node.services.persistence / DBTransactionMappingStorage

# DBTransactionMappingStorage

`@ThreadSafe class DBTransactionMappingStorage : StateMachineRecordedTransactionMappingStorage`

Database storage of a txhash -> state machine id mapping.

Mappings are added as transactions are persisted by ServiceHub.recordTransaction, and never deleted. Used in the RPC API to correlate transaction creation with flows.

### Constructors

<init> | `DBTransactionMappingStorage()` Database storage of a txhash -> state machine id mapping.

### Functions

addMapping | `fun addMapping(stateMachineRunId: StateMachineRunId, transactionId: SecureHash): Unit`
track | `fun track(): Pair<List<StateMachineTransactionMapping>, Observable<StateMachineTransactionMapping>>`